# Source code for azure.mgmt.web.models.site_cloneability_criterion

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class SiteCloneabilityCriterion(Model):
        """Represents a site cloneability criterion.

        :param name: Name of criterion
        :type name: str
        :param description: Description of criterion
        :type description: str
        """

        _attribute_map = {
            'name': {'key': 'name', 'type': 'str'},
            'description': {'key': 'description', 'type': 'str'},
        }

        def __init__(self, name=None, description=None):
            self.name = name
            self.description = description